# GstPlayerVideoOverlayVideoRenderer

    GObject
        ╰──GstPlayerVideoOverlayVideoRenderer

### Class structure

#### GstPlayerVideoOverlayVideoRendererClass

### GstPlayer.PlayerVideoOverlayVideoRendererClass

## GstPlayer.PlayerVideoOverlayVideoRenderer

    GObject.Object
        ╰──GstPlayer.PlayerVideoOverlayVideoRenderer

## GstPlayer.PlayerVideoOverlayVideoRenderer

    GObject.Object
        ╰──GstPlayer.PlayerVideoOverlayVideoRenderer

### Methods

#### gst_player_video_overlay_video_renderer_expose

    gst_player_video_overlay_video_renderer_expose (GstPlayerVideoOverlayVideoRenderer * self)

Tell an overlay that it has been exposed. This will redraw the current frame in the drawable even if the pipeline is PAUSED.

Parameters:

`self` –

a GstPlayerVideoOverlayVideoRenderer instance.

#### GstPlayer.PlayerVideoOverlayVideoRenderer.prototype.expose

    function GstPlayer.PlayerVideoOverlayVideoRenderer.prototype.expose(): {
        // javascript wrapper for 'gst_player_video_overlay_video_renderer_expose'
    }

Tell an overlay that it has been exposed. This will redraw the current frame in the drawable even if the pipeline is PAUSED.

Parameters:

`self` (GstPlayer.PlayerVideoOverlayVideoRenderer) –

a GstPlayer.PlayerVideoOverlayVideoRenderer instance.

#### GstPlayer.PlayerVideoOverlayVideoRenderer.expose

    def GstPlayer.PlayerVideoOverlayVideoRenderer.expose (self):
        #python wrapper for 'gst_player_video_overlay_video_renderer_expose'

Tell an overlay that it has been exposed. This will redraw the current frame in the drawable even if the pipeline is PAUSED.

Parameters:

`self` (GstPlayer.PlayerVideoOverlayVideoRenderer) –

a GstPlayer.PlayerVideoOverlayVideoRenderer instance.

#### gst_player_video_overlay_video_renderer_get_render_rectangle

    gst_player_video_overlay_video_renderer_get_render_rectangle (GstPlayerVideoOverlayVideoRenderer * self,
                                                                  gint * x,
                                                                  gint * y,
                                                                  gint * width,
                                                                  gint * height)

Return the currently configured render rectangle. See gst_player_video_overlay_video_renderer_set_render_rectangle for details.

Parameters:

`self` –

a GstPlayerVideoOverlayVideoRenderer instance

`x` ( [out][allow-none]) –

the horizontal offset of the render area inside the window

`y` ( [out][allow-none]) –

the vertical offset of the render area inside the window

`width` ( [out][allow-none]) –

the width of the render area inside the window

`height` ( [out][allow-none]) –

the height of the render area inside the window

#### GstPlayer.PlayerVideoOverlayVideoRenderer.prototype.get_render_rectangle

    function GstPlayer.PlayerVideoOverlayVideoRenderer.prototype.get_render_rectangle(): {
        // javascript wrapper for 'gst_player_video_overlay_video_renderer_get_render_rectangle'
    }

Return the currently configured render rectangle. See GstPlayer.PlayerVideoOverlayVideoRenderer.prototype.set_render_rectangle for details.

Parameters:

`self` (GstPlayer.PlayerVideoOverlayVideoRenderer) –

a GstPlayer.PlayerVideoOverlayVideoRenderer instance

#### GstPlayer.PlayerVideoOverlayVideoRenderer.get_render_rectangle

    def GstPlayer.PlayerVideoOverlayVideoRenderer.get_render_rectangle (self):
        #python wrapper for 'gst_player_video_overlay_video_renderer_get_render_rectangle'

Return the currently configured render rectangle. See GstPlayer.PlayerVideoOverlayVideoRenderer.set_render_rectangle for details.

Parameters:

`self` (GstPlayer.PlayerVideoOverlayVideoRenderer) –

a GstPlayer.PlayerVideoOverlayVideoRenderer instance

#### gst_player_video_overlay_video_renderer_get_window_handle

    gpointer
    gst_player_video_overlay_video_renderer_get_window_handle (GstPlayerVideoOverlayVideoRenderer * self)

Parameters:

`self` –

GstPlayerVideoRenderer instance

Returns ( [transfer: none]) –

The currently set, platform specific window handle

#### GstPlayer.PlayerVideoOverlayVideoRenderer.prototype.get_window_handle

    function GstPlayer.PlayerVideoOverlayVideoRenderer.prototype.get_window_handle(): {
        // javascript wrapper for 'gst_player_video_overlay_video_renderer_get_window_handle'
    }

Parameters:

`self` (GstPlayer.PlayerVideoOverlayVideoRenderer) –

GstPlayer.PlayerVideoRenderer instance

Returns (Object) –

The currently set, platform specific window handle

#### GstPlayer.PlayerVideoOverlayVideoRenderer.get_window_handle

    def GstPlayer.PlayerVideoOverlayVideoRenderer.get_window_handle (self):
        #python wrapper for 'gst_player_video_overlay_video_renderer_get_window_handle'

Parameters:

`self` (GstPlayer.PlayerVideoOverlayVideoRenderer) –

GstPlayer.PlayerVideoRenderer instance

Returns (object) –

The currently set, platform specific window handle

#### gst_player_video_overlay_video_renderer_set_render_rectangle

    gst_player_video_overlay_video_renderer_set_render_rectangle (GstPlayerVideoOverlayVideoRenderer * self,
                                                                  gint x,
                                                                  gint y,
                                                                  gint width,
                                                                  gint height)

Configure a subregion as a video target within the window set by gst_player_video_overlay_video_renderer_set_window_handle. If this is not used or not supported the video will fill the area of the window set as the overlay to 100%. By specifying the rectangle, the video can be overlaid to a specific region of that window only. After setting the new rectangle one should call gst_player_video_overlay_video_renderer_expose to force a redraw. To unset the region pass -1 for the width and height parameters.

This method is needed for non fullscreen video overlay in UI toolkits that do not support subwindows.

Parameters:

`self` –

a GstPlayerVideoOverlayVideoRenderer instance

`x` –

the horizontal offset of the render area inside the window

`y` –

the vertical offset of the render area inside the window

`width` –

the width of the render area inside the window

`height` –

the height of the render area inside the window

#### GstPlayer.PlayerVideoOverlayVideoRenderer.prototype.set_render_rectangle

    function GstPlayer.PlayerVideoOverlayVideoRenderer.prototype.set_render_rectangle(x: Number, y: Number, width: Number, height: Number): {
        // javascript wrapper for 'gst_player_video_overlay_video_renderer_set_render_rectangle'
    }

Configure a subregion as a video target within the window set by GstPlayer.PlayerVideoOverlayVideoRenderer.prototype.set_window_handle. If this is not used or not supported the video will fill the area of the window set as the overlay to 100%. By specifying the rectangle, the video can be overlaid to a specific region of that window only. After setting the new rectangle one should call GstPlayer.PlayerVideoOverlayVideoRenderer.prototype.expose to force a redraw. To unset the region pass -1 for the width and height parameters.

This method is needed for non fullscreen video overlay in UI toolkits that do not support subwindows.

Parameters:

`self` (GstPlayer.PlayerVideoOverlayVideoRenderer) –

a GstPlayer.PlayerVideoOverlayVideoRenderer instance

`x` (Number) –

the horizontal offset of the render area inside the window

`y` (Number) –

the vertical offset of the render area inside the window

`width` (Number) –

the width of the render area inside the window

`height` (Number) –

the height of the render area inside the window

#### GstPlayer.PlayerVideoOverlayVideoRenderer.set_render_rectangle

    def GstPlayer.PlayerVideoOverlayVideoRenderer.set_render_rectangle (self, x, y, width, height):
        #python wrapper for 'gst_player_video_overlay_video_renderer_set_render_rectangle'

Configure a subregion as a video target within the window set by GstPlayer.PlayerVideoOverlayVideoRenderer.set_window_handle. If this is not used or not supported the video will fill the area of the window set as the overlay to 100%. By specifying the rectangle, the video can be overlaid to a specific region of that window only. After setting the new rectangle one should call GstPlayer.PlayerVideoOverlayVideoRenderer.expose to force a redraw. To unset the region pass -1 for the width and height parameters.

This method is needed for non fullscreen video overlay in UI toolkits that do not support subwindows.

Parameters:

`self` (GstPlayer.PlayerVideoOverlayVideoRenderer) –

a GstPlayer.PlayerVideoOverlayVideoRenderer instance

`x` (int) –

the horizontal offset of the render area inside the window

`y` (int) –

the vertical offset of the render area inside the window

`width` (int) –

the width of the render area inside the window

`height` (int) –

the height of the render area inside the window

#### gst_player_video_overlay_video_renderer_set_window_handle

    gst_player_video_overlay_video_renderer_set_window_handle (GstPlayerVideoOverlayVideoRenderer * self,
                                                               gpointer window_handle)

Sets the platform specific window handle into which the video should be rendered

Parameters:

`self` –

GstPlayerVideoRenderer instance

`window_handle` –

handle referencing to the platform specific window

#### GstPlayer.PlayerVideoOverlayVideoRenderer.prototype.set_window_handle

    function GstPlayer.PlayerVideoOverlayVideoRenderer.prototype.set_window_handle(window_handle: Object): {
        // javascript wrapper for 'gst_player_video_overlay_video_renderer_set_window_handle'
    }

Sets the platform specific window handle into which the video should be rendered

Parameters:

`self` (GstPlayer.PlayerVideoOverlayVideoRenderer) –

GstPlayer.PlayerVideoRenderer instance

`window_handle` (Object) –

handle referencing to the platform specific window

#### GstPlayer.PlayerVideoOverlayVideoRenderer.set_window_handle

    def GstPlayer.PlayerVideoOverlayVideoRenderer.set_window_handle (self, window_handle):
        #python wrapper for 'gst_player_video_overlay_video_renderer_set_window_handle'

Sets the platform specific window handle into which the video should be rendered

Parameters:

`self` (GstPlayer.PlayerVideoOverlayVideoRenderer) –

GstPlayer.PlayerVideoRenderer instance

`window_handle` (object) –

handle referencing to the platform specific window

### Functions

#### gst_player_video_overlay_video_renderer_new

    GstPlayerVideoRenderer *
    gst_player_video_overlay_video_renderer_new (gpointer window_handle)

Parameters:

`window_handle` ( [allow-none]) –

Window handle to use or NULL

Returns –

(transfer full):

#### GstPlayer.PlayerVideoOverlayVideoRenderer.prototype.new

    function GstPlayer.PlayerVideoOverlayVideoRenderer.prototype.new(window_handle: Object): {
        // javascript wrapper for 'gst_player_video_overlay_video_renderer_new'
    }

Parameters:

`window_handle` (Object) –

Window handle to use or null

Returns (GstPlayer.PlayerVideoRenderer) –

(transfer full):

#### GstPlayer.PlayerVideoOverlayVideoRenderer.new

    def GstPlayer.PlayerVideoOverlayVideoRenderer.new (window_handle):
        #python wrapper for 'gst_player_video_overlay_video_renderer_new'

Parameters:

`window_handle` (object) –

Window handle to use or None

Returns (GstPlayer.PlayerVideoRenderer) –

(transfer full):

#### gst_player_video_overlay_video_renderer_new_with_sink

    GstPlayerVideoRenderer *
    gst_player_video_overlay_video_renderer_new_with_sink (gpointer window_handle,
                                                           GstElement * video_sink)

Parameters:

`window_handle` ( [allow-none]) –

Window handle to use or NULL

`video_sink` ( [transfer: floating]) –

the custom video_sink element to be set for the video renderer

Returns –

(transfer full):

Since : 1.12

#### GstPlayer.PlayerVideoOverlayVideoRenderer.prototype.new_with_sink

    function GstPlayer.PlayerVideoOverlayVideoRenderer.prototype.new_with_sink(window_handle: Object, video_sink: Gst.Element): {
        // javascript wrapper for 'gst_player_video_overlay_video_renderer_new_with_sink'
    }

Parameters:

`window_handle` (Object) –

Window handle to use or null

`video_sink` (Gst.Element) –

the custom video_sink element to be set for the video renderer

Returns (GstPlayer.PlayerVideoRenderer) –

(transfer full):

Since : 1.12

#### GstPlayer.PlayerVideoOverlayVideoRenderer.new_with_sink

    def GstPlayer.PlayerVideoOverlayVideoRenderer.new_with_sink (window_handle, video_sink):
        #python wrapper for 'gst_player_video_overlay_video_renderer_new_with_sink'

Parameters:

`window_handle` (object) –

Window handle to use or None

`video_sink` (Gst.Element) –

the custom video_sink element to be set for the video renderer

Returns (GstPlayer.PlayerVideoRenderer) –

(transfer full):

Since : 1.12

### Properties

#### video-sink

    “video-sink” GstElement *

Flags : Read / Write

#### video-sink

    “video-sink” Gst.Element

Flags : Read / Write

#### video_sink

    “self.props.video_sink” Gst.Element

Flags : Read / Write

#### window-handle

    “window-handle” gpointer

Flags : Read / Write / Construct

#### window-handle

    “window-handle” Object

Flags : Read / Write / Construct

#### window_handle

    “self.props.window_handle” object

Flags : Read / Write / Construct

## Function Macros

### GST_PLAYER_VIDEO_OVERLAY_VIDEO_RENDERER_CAST

    #define GST_PLAYER_VIDEO_OVERLAY_VIDEO_RENDERER_CAST(obj)        ((GstPlayerVideoOverlayVideoRenderer*)(obj))

The results of the search are